Std SelBoundingBox/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/pl |Name=Std SelBoundingBox |Name/pl=Std: Ramka otaczająca |MenuLocation=Widok → Ramka otaczająca |Workbenches=wszystkie |Version=0.19 |SeeAlso=Std_DrawStyl...")
(Created page with "==Opis==")
Line 19: Line 19:
}}
}}


==Description==
==Opis==


The '''Std SelBoundingBox''' command toggles the global bounding box highlighting mode. If this mode is switched on, selected objects are marked in a [[3D_view|3D view]] with a highlighted bounding box even if their {{PropertyView|Selection Style}} is set to 'Shape'.
The '''Std SelBoundingBox''' command toggles the global bounding box highlighting mode. If this mode is switched on, selected objects are marked in a [[3D_view|3D view]] with a highlighted bounding box even if their {{PropertyView|Selection Style}} is set to 'Shape'.

Revision as of 05:37, 5 June 2022

Std: Ramka otaczająca

Lokalizacja w menu
Widok → Ramka otaczająca
Środowisko pracy
wszystkie
Domyślny skrót
brak
Wprowadzono w wersji
0.19
Zobacz także
Styl kreślenia

Opis

The Std SelBoundingBox command toggles the global bounding box highlighting mode. If this mode is switched on, selected objects are marked in a 3D view with a highlighted bounding box even if their WIDOKSelection Style is set to 'Shape'.

Usage

  1. There are several ways to invoke the command:
    • Press the Std SelBoundingBox button.
    • Select the View → Bounding box option from the menu.

Preferences

The related setting is stored: Tools → Edit parameters... → BaseApp → Preferences → View → ShowSelectionBoundingBox. It is a boolean value, the default is false.

Scripting

See also: FreeCAD Scripting Basics.

To change the ShowSelectionBoundingBox setting use the SetBool method of the appropriate ParameterGrp. The code sample does not work if FreeCAD is in console mode.

import FreeCAD, FreeCADGui

grp = FreeCAD.ParamGet('User parameter:BaseApp/Preferences/View')
if grp.GetBool('ShowSelectionBoundingBox'):
  grp.SetBool('ShowSelectionBoundingBox',False)
else:
  grp.SetBool('ShowSelectionBoundingBox',True)

FreeCADGui.updateCommands()